/*
 * board.h
 *
 *  Created on: Apr 15, 2024
 *      Author: colorbass
 */

#ifndef SRC_BOARD_H_
#define SRC_BOARD_H_

void GBT_Lock(uint8_t state);

typedef enum{
	RELAY_CC,
	RELAY_1,
	RELAY_2,
	RELAY_3,
	RELAY_4,
	RELAY_5,
	RELAY_CP,
}relay_t;

typedef enum{
	IN_ISO,
	IN_ESTOP,
	IN_FB1,
	IN_FB2,
	IN_SW0,
	IN_SW1,
	IN_0,
	IN_ACOK,
}inputNum_t;

void RELAY_Write(relay_t num, uint8_t state);
void Init_Peripheral();
void ADC_Select_Channel(uint32_t ch);
int16_t GBT_ReadTemp(uint8_t ch);

uint8_t IN_ReadInput(inputNum_t input_n);

#endif /* SRC_BOARD_H_ */
